libzypp: zypp::parser::ProductNode Struct Reference

libzypp 17.38.11

zypp::parser::ProductNode Struct Reference
Inheritance diagram for zypp::parser::ProductNode:

## Public Member Functions
| ProductNode (ProductFileData::Impl &pdata_r)
void | doneUpgrade (const xml::Node &_node)
| collect _upgrade
void | doneLocalizedDefault (const xml::Node &_node, std::string &store_r)
| collect localized data
void | done (const xml::Node &_node)
| finally
Public Member Functions inherited from zypp::xml::ParseDef
| ParseDef (std::string name_r, Mode mode_r)
| ParseDef (std::string name_r, Mode mode_r, shared_ptr< ParseDefConsume > target_r)
virtual | ~ParseDef ()
const std::string & | name () const
Mode | mode () const
bool | isOptional () const
bool | isMandatory () const
bool | singleDef () const
bool | multiDef () const
unsigned | visited () const
ParseDef & | addNode (ParseDef &subnode_r)
| Add subnode definition.
ParseDef & | addNode (const std::string &name_r, Mode mode_r)
ParseDef & | addNode (const std::string &name_r, Mode mode_r, const shared_ptr< ParseDefConsume > &target_r)
ParseDef & | operator() (ParseDef &subnode_r)
| Add subnode definition.
ParseDef & | operator() (const std::string &name_r, Mode mode_r)
ParseDef & | operator() (const std::string &name_r, Mode mode_r, const shared_ptr< ParseDefConsume > &target_r)
ParseDef | operator[] (const std::string &name_r)
| Get subnode by name.
void | setConsumer (const shared_ptr< ParseDefConsume > &target_r)
| Set data consumer.
void | setConsumer (ParseDefConsume *allocatedTarget_r)
| Set data consumer.
void | setConsumer (ParseDefConsume &target_r)
| Set data consumer.
void | cancelConsumer ()
| Unset data consumer.
shared_ptr< ParseDefConsume > | getConsumer () const
| Get data consumer.
void | take (Reader &reader_r)
| Parse the node.

## Private Attributes
ProductFileData::Impl & | _pdata
std::string | _version
std::string | _release
std::string | _ttext
std::string | _tlocale
ProductFileData::Upgrade::Impl | _upgrade

## Additional Inherited Members
Public Types inherited from zypp::xml::ParseDef
enum | Mode { OPTIONAL = Traits::BIT_OPTIONAL | Traits::BIT_ONCE , MANDTAORY = Traits::BIT_MANDTAORY | Traits::BIT_ONCE , MULTIPLE_OPTIONAL = Traits::BIT_OPTIONAL | Traits::BIT_MULTIPLE , MULTIPLE_MANDTAORY = Traits::BIT_MANDTAORY | Traits::BIT_MULTIPLE }
Static Public Attributes inherited from zypp::xml::ParseDef
static bool | _debug = false

## Detailed Description

Definition at line 138 of file ProductFileReader.cc.

## Constructor & Destructor Documentation

## ◆ ProductNode()

zypp::parser::ProductNode::ProductNode | ( | ProductFileData::Impl & | pdata_r | ) |
| inline

Definition at line 140 of file ProductFileReader.cc.

## Member Function Documentation

## ◆ doneUpgrade()

void zypp::parser::ProductNode::doneUpgrade | ( | const xml::Node & | _node | ) |
| inline

collect _upgrade

Definition at line 185 of file ProductFileReader.cc.

## ◆ doneLocalizedDefault()

void zypp::parser::ProductNode::doneLocalizedDefault | ( | const xml::Node & | _node,
|  | std::string & | store_r )
| inline

collect localized data

Definition at line 192 of file ProductFileReader.cc.

## ◆ done()

void zypp::parser::ProductNode::done | ( | const xml::Node & | _node | ) |
| inline

finally

Definition at line 200 of file ProductFileReader.cc.

## Member Data Documentation

## ◆ _pdata

ProductFileData::Impl& zypp::parser::ProductNode::_pdata
| private

Definition at line 206 of file ProductFileReader.cc.

## ◆ _version

std::string zypp::parser::ProductNode::_version
| private

Definition at line 208 of file ProductFileReader.cc.

## ◆ _release

std::string zypp::parser::ProductNode::_release
| private

Definition at line 209 of file ProductFileReader.cc.

## ◆ _ttext

std::string zypp::parser::ProductNode::_ttext
| private

Definition at line 211 of file ProductFileReader.cc.

## ◆ _tlocale

std::string zypp::parser::ProductNode::_tlocale
| private

Definition at line 212 of file ProductFileReader.cc.

## ◆ _upgrade

ProductFileData::Upgrade::Impl zypp::parser::ProductNode::_upgrade
| private

Definition at line 214 of file ProductFileReader.cc.

The documentation for this struct was generated from the following file:

- zypp/parser/ProductFileReader.cc